m4d_form 0.1.6

Dart js
Flutter web

Material Design 4 Dart - Dialogs

0
likes
60 / 110
pub points
13 %
popularity

We analyzed this package on Aug 7, 2020, and awarded it 60 pub points (of a possible 110):

Follow Dart file conventions
0 / 20

0/10 points: Provide a valid pubspec.yaml

The package description is too short.

Add more detail to the description field of pubspec.yaml. Use 60 to 180 characters to describe the package, what it does, and its target use case.

0/5 points: Provide a valid README.md

Links in `README.md` should be secure. 1 link is insecure.

README.md:7:5

  ╷
7 │ <li><a href="http://m4d_form.example.mikemitterer.at">m4d_form.example.mikemitterer.at</a></li>
  │     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  ╵

Use https URLs instead.

0/5 points: Provide a valid CHANGELOG.md

Links in `CHANGELOG.md` should be secure. 2 links are insecure.

CHANGELOG.md:3:5

  ╷
3 │ <h2><a href="http://github.com/mikemitterer/m4d_form/compare/v0.1...HEAD">Unreleased</a></h2>
  │     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  ╵

Use https URLs instead.

Provide documentation
10 / 20

0/10 points: Package has an example

No example found.

See package layout guidelines on how to add an example.

10/10 points: 20% or more of the public API has dartdoc comments

  • 11 out of 25 API elements (44.0 %) have documentation comments.
Support multiple platforms
10 / 20

10/20 points: Supports 1 of 2 possible platforms (native, js)

Consider supporting multiple platforms:

Package not compatible with runtime native

Because:

  • package:m4d_form/m4d_form.dart that imports:
  • package:m4d_directive/m4d_directive.dart that imports:
  • package:m4d_directive/directive/components/interfaces/stores.dart that imports:
  • package:m4d_core/m4d_core.dart that imports:
  • dart:js
Pass static analysis
20 / 30

20/30 points: code has no errors, warnings, lints, or formatting issues

Found 34 issues. Showing the first 2:

INFO: Prefer generic function type aliases.

lib/form/components/MaterialFormComponent.dart:35:14

   ╷
35 │ typedef bool IsFormValidCallback(final MaterialFormState originalState);
   │              ^^^^^^^^^^^^^^^^^^^
   ╵

To reproduce make sure you are using pedantic and run dartanalyzer lib/form/components/MaterialFormComponent.dart

INFO: Prefer using /// for doc comments.

lib/form/components/MaterialFormComponent.dart:37:1

   ╷
37 │ ┌ /**
38 │ │  * Upgrades mdl-form und does some validation checks.
39 │ │  *
40 │ │  * The CSS-Class 'is-invalid' is set if not all requirement defined via HTML are met.
41 │ │  * The CSS-Class 'is-dirty' will be set the first time one of the input elements gets an "onChange" event
42 │ │  *
43 │ │  * If MaterialFormComponent finds mdl-button--submit it enables/disables this
44 │ │  * element depending on the validation check.
45 │ │  * 
46 │ │  *      <form method="post" class="right mdl-form mdl-form-registration demo-registration">
47 │ │  *          <h5 class="mdl-form__title">Register for launch</h5>
48 │ │  *          <div class="mdl-form__content">
49 │ │  *              <div class="mdl-textfield">
50 │ │  *                  <input class="mdl-textfield__input" type="text" id="sample1" required />
51 │ │  *                  <label class="mdl-textfield__label" for="sample1">Name</label>
52 │ │  *                  <span class="mdl-textfield__error">This field must not be empty</span>
53 │ │  *              </div>
54 │ │  *              <div class="mdl-textfield">
55 │ │  *                  <input class="mdl-textfield__input" type="email" id="email" required />
56 │ │  *                  <label class="mdl-textfield__label" for="email">Email</label>
57 │ │  *              </div>
58 │ │  *              <label class="mdl-checkbox mdl-js-checkbox mdl-ripple-effect" for="remember_me">
59 │ │  *                  <input type="checkbox" id="remember_me" class="mdl-checkbox__input" required />
60 │ │  *                  <span class="mdl-checkbox__label">Remember me</span>
61 │ │  *              </label>
62 │ │  *              </div>
63 │ │  *          <div class="mdl-form__actions">
64 │ │  *              <button class="mdl-button mdl-js-button mdl-button--submit mdl-button--raised
65 │ │  *                  mdl-button--primary mdl-ripple-effect" disabled>
66 │ │  *                 Login
67 │ │  *              </button>
68 │ │  *              </div>
69 │ │  *      </form>
70 │ └  */
   ╵

To reproduce make sure you are using pedantic and run dartanalyzer lib/form/components/MaterialFormComponent.dart

Support up-to-date dependencies
20 / 20

10/10 points: All of the package dependencies are supported in the latest version

PackageConstraintCompatibleLatest
console_log_handler^1.0.01.1.61.1.6
logging>=0.11.3 <1.0.00.11.40.11.4
m4d_components>=0.1.0 <1.0.00.1.310.1.31
m4d_core>=0.2.0 <1.0.00.2.210.2.21
m4d_directive>=0.1.0 <1.0.00.1.160.1.16
m4d_translate>=0.1.0 <1.0.00.1.60.1.6
validate^1.0.01.7.01.7.0
Transitive dependencies
PackageConstraintCompatibleLatest
_fe_analyzer_shared-6.0.06.0.0
analyzer-0.39.160.39.16
ansicolor-1.0.21.0.2
args-1.6.01.6.0
async-2.4.22.4.2
build_cli_annotations-1.2.01.2.0
charcode-1.1.31.1.3
cli_util-0.1.40.2.0
collection-1.14.131.14.13
convert-2.1.12.1.1
crypto-2.1.52.1.5
csslib-0.16.20.16.2
dart_style-1.3.61.3.6
glob-1.2.01.2.0
html-0.14.0+30.14.0+3
intl-0.15.80.16.1
intl_translation-0.17.100.17.10
js-0.6.20.6.2
l10n-2.0.192.0.19
m4d_flux-0.1.00.1.0
meta-1.2.21.2.2
node_interop-1.1.11.1.1
node_io-1.1.11.1.1
optional-3.1.05.0.0
package_config-1.9.31.9.3
path-1.7.01.7.0
pedantic-1.9.21.9.2
petitparser-3.1.03.1.0
platform_detect-1.4.01.4.0
pub_semver-1.4.41.4.4
source_span-1.7.01.7.0
string_scanner-1.0.51.0.5
term_glyph-1.1.01.1.0
typed_data-1.2.01.2.0
watcher-0.9.7+150.9.7+15
where-4.4.08.0.0
yaml-2.2.12.2.1

To reproduce run pub outdated --no-dev-dependencies --up-to-date --no-dependency-overrides.

10/10 points: Package supports latest stable Dart and Flutter SDKs